<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Jamstack Explorers - Up and Running with Serverless Functions</title>
  </head>
  <body>
    <h1>Up and Running with Serverless Functions</h1>
    <button id="fetch-btn">Fetch</button>
    <button id="fetch-pokedex-btn">Fetch Pokedex</button>
    <button>
      <a href="/.netlify/functions/hello-world" style="text-decoration: none"
        >Go To hello-world</a
      >
    </button>
    <button>
      <a href="/.netlify/functions/pokedex" style="text-decoration: none"
        >Go To pokedex</a
      >
    </button>
    <p id="response-output">Response Placeholder</p>

    <script>
      document.addEventListener("DOMContentLoaded", () => {
        const fetchBtn = document.getElementById("fetch-btn");
        const responseText = document.getElementById("response-output");
        const fetchPokedexBtn = document.getElementById("fetch-pokedex-btn");

        fetchBtn.addEventListener("click", async () => {
          const response = await fetch("/.netlify/functions/hello-world").then(
            (response) => response.json()
          );

          responseText.innerText = response.message;
        });

        fetchPokedexBtn.addEventListener("click", async () => {
          const response = await fetch("/.netlify/functions/pokedex").then(
            (response) => response.json()
          );

          responseText.innerText = JSON.stringify(response);
        });
      });
    </script>
  </body>
</html>
